#############################################################
#
# gstreamer
#
#############################################################
GSTREAMER_VERSION = 0.10.30
GSTREAMER_SOURCE = gstreamer-$(GSTREAMER_VERSION).tar.bz2
GSTREAMER_SITE = http://gstreamer.freedesktop.org/src/gstreamer
GSTREAMER_INSTALL_STAGING = YES
GSTREAMER_LIBTOOL_PATCH = NO

# Checking if unaligned memory access works correctly cannot be done when cross
# compiling. For the following architectures there is no information available
# in the configure script.
ifeq ($(BR2_avr32),y)
GSTREAMER_CONF_ENV = as_cv_unaligned_access=no
endif
ifeq ($(BR2_nios2),y)
GSTREAMER_CONF_ENV = as_cv_unaligned_access=no
endif

GSTREAMER_CONF_OPT = \
		$(DISABLE_NLS) \
		--disable-examples \
		--disable-tests \
		--disable-failing-tests \
		--enable-binary-registry \
		--disable-loadsave \
		--disable-parse \
		--disable-debug \
		--enable-option-parsing

ifeq ($(BR2_PACKAGE_GSTREAMER_NETWORK_SUPPORT),y)
GSTREAMER_CONF_OPT += --enable-net
else
GSTREAMER_CONF_OPT += --disable-net
endif

GSTREAMER_DEPENDENCIES = libglib2 host-pkgconfig

$(eval $(call AUTOTARGETS,package/multimedia,gstreamer))

$(GSTREAMER_HOOK_POST_EXTRACT):
	rm -f package/multimedia/gstreamer/gstreamer-0.10.21-build_fix_missing_gtkdoc.patch
	touch $@

